diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelFenceThin.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelFenceThin.java
index 4a8e6f692..d1647fb68 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelFenceThin.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelFenceThin.java
@@ -6,24 +6,24 @@ import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockLogicFenceThin;
-import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.helper.Side;
-import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.WorldSource;
 import net.minecraft.core.world.pos.TilePos;
+import net.minecraft.core.world.pos.TilePosc;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
+import org.joml.primitives.AABBd;
 import org.lwjgl.opengl.GL11;
 import org.useless.dragonfly.DisplayPos;
 
 public class BlockModelFenceThin<T extends BlockLogicFenceThin> extends BlockModelStandard<T> {
     protected static final DisplayPos FENCE_THIN_FIRST_PERSON_RIGHT_HAND = new DisplayPos(0, 0, 0, 0, 45 - 90, 0, 0.4f, 0.4f, 0.4f);
-    private final IconCoordinate texIndex;
-    private final IconCoordinate bottomTexIndex;
-    private final IconCoordinate topTexIndex;
-    private final IconCoordinate columnTexIndex;
+    private final @NotNull IconCoordinate texIndex;
+    private final @Nullable IconCoordinate bottomTexIndex;
+    private final @Nullable IconCoordinate topTexIndex;
+    private final @NotNull IconCoordinate columnTexIndex;
 
-    public BlockModelFenceThin(Block<T> block, IconCoordinate texIndex, IconCoordinate bottomTexIndex, IconCoordinate topTexIndex, IconCoordinate columnTexIndex){
+    public BlockModelFenceThin(Block<T> block, @NotNull IconCoordinate texIndex, @Nullable IconCoordinate bottomTexIndex, @Nullable IconCoordinate topTexIndex, @NotNull IconCoordinate columnTexIndex) {
         super(block);
         this.texIndex = texIndex;
         this.bottomTexIndex = bottomTexIndex;
@@ -32,47 +32,50 @@ public class BlockModelFenceThin<T extends BlockLogicFenceThin> extends BlockMod
 
         setDisplayPos(DisplayPos.FIRST_PERSON_RIGHT_HAND, FENCE_THIN_FIRST_PERSON_RIGHT_HAND);
     }
+
     @Override
-    public boolean render(@NotNull Tessellator t, @NotNull WorldSource worldSource, int x, int y, int z) {
+    public boolean render(@NotNull Tessellator t, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
         float brightness = 1.0f;
-        if(LightmapHelper.isLightmapEnabled()) {
-        	t.setLightmapCoord(block.getLightmapCoord(worldSource, x, y, z));
-        }else {
-        	brightness = renderBlocks.getBlockBrightness(worldSource, x, y, z);
+        if (LightmapHelper.isLightmapEnabled()) {
+            t.setLightmapCoord(this.block.getLightmapCoord(worldSource, tilePos));
+        } else {
+            brightness = renderBlocks.getBlockBrightness(worldSource, tilePos);
         }
         t.setColorOpaque_F(brightness, brightness, brightness);
-        
-		float cBottom = 1.0f;
-		float cTop = 1.0f;
-		float cNorthSouth = 1.0f;
-		float cEastWest = 1.0f;
-		if(ENABLE_DIRECTIONAL_LIGHTING) {
-			cBottom = 0.5f;
-			cTop = 1.0f;
-			cNorthSouth = 0.8f;
-			cEastWest = 0.6f;
-		}
-        BlockLogicFenceThin thin = block.getLogic();
-        boolean connectNorth = thin.canConnectTo(worldSource, x, y, z, Side.NORTH);
-        boolean connectSouth = thin.canConnectTo(worldSource, x, y, z, Side.SOUTH);
-        boolean connectEast = thin.canConnectTo(worldSource, x, y, z , Side.EAST);
-        boolean connectWest = thin.canConnectTo(worldSource, x, y, z , Side.WEST);
+
+        TilePos queryPos = new TilePos();
+
+        float cBottom = 1.0f;
+        float cTop = 1.0f;
+        float cNorthSouth = 1.0f;
+        float cEastWest = 1.0f;
+        if (ENABLE_DIRECTIONAL_LIGHTING) {
+            cBottom = 0.5f;
+            cTop = 1.0f;
+            cNorthSouth = 0.8f;
+            cEastWest = 0.6f;
+        }
+        BlockLogicFenceThin thin = this.block.getLogic();
+        boolean connectNorth = thin.canConnectTo(worldSource, tilePos, Side.NORTH);
+        boolean connectSouth = thin.canConnectTo(worldSource, tilePos, Side.SOUTH);
+        boolean connectEast = thin.canConnectTo(worldSource, tilePos, Side.EAST);
+        boolean connectWest = thin.canConnectTo(worldSource, tilePos, Side.WEST);
 
         boolean lineNorthSouth = connectNorth && connectSouth;
         boolean lineEastWest = connectEast && connectWest;
 
         double onePix = 1f / 16;
 
-        double fenceNormalMinU = texIndex.getIconUMin();
-        double fenceNormalMinV = texIndex.getIconVMin();
-        double fenceNormalMaxU = texIndex.getSubIconU(onePix * 16);
-        double fenceNormalMaxV = texIndex.getSubIconV(onePix * 16);
+        double fenceNormalMinU = this.texIndex.getIconUMin();
+        double fenceNormalMinV = this.texIndex.getIconVMin();
+        double fenceNormalMaxU = this.texIndex.getSubIconU(onePix * 16);
+        double fenceNormalMaxV = this.texIndex.getSubIconV(onePix * 16);
 
         IconCoordinate fenceTopmostTex;
-        if (topTexIndex == null) {
-            fenceTopmostTex = texIndex;
+        if (this.topTexIndex == null) {
+            fenceTopmostTex = this.texIndex;
         } else {
-            fenceTopmostTex = topTexIndex;
+            fenceTopmostTex = this.topTexIndex;
         }
 
         double fenceTopmostMinU = fenceTopmostTex.getIconUMin();
@@ -81,10 +84,10 @@ public class BlockModelFenceThin<T extends BlockLogicFenceThin> extends BlockMod
         double fenceTopmostMaxV = fenceTopmostTex.getSubIconV(onePix * 16);
 
         IconCoordinate fenceBottommostTex;
-        if (bottomTexIndex == null) {
-            fenceBottommostTex = texIndex;
+        if (this.bottomTexIndex == null) {
+            fenceBottommostTex = this.texIndex;
         } else {
-            fenceBottommostTex = bottomTexIndex;
+            fenceBottommostTex = this.bottomTexIndex;
         }
 
         double fenceBottommostMinU = fenceBottommostTex.getIconUMin();
@@ -92,31 +95,30 @@ public class BlockModelFenceThin<T extends BlockLogicFenceThin> extends BlockMod
         double fenceBottommostMaxU = fenceBottommostTex.getSubIconU(onePix * 16);
         double fenceBottommostMaxV = fenceBottommostTex.getSubIconV(onePix * 16);
 
-        Block<?> blockAbove = worldSource.getBlock(x, y + 1, z);
-        boolean connectUpNorth = blockAbove == block && thin.canConnectTo(worldSource, x, y + 1, z, Side.NORTH);
-        boolean connectUpSouth = blockAbove == block && thin.canConnectTo(worldSource, x, y + 1, z, Side.SOUTH);
-        boolean connectUpEast = blockAbove == block && thin.canConnectTo(worldSource, x, y + 1, z, Side.EAST);
-        boolean connectUpWest = blockAbove == block && thin.canConnectTo(worldSource, x, y + 1, z, Side.WEST);
-
-        Block<?> blockBelow = worldSource.getBlock(x, y - 1, z);
-        boolean connectDownNorth = blockBelow == block && thin.canConnectTo(worldSource, x, y - 1, z, Side.NORTH);
-        boolean connectDownSouth = blockBelow == block && thin.canConnectTo(worldSource, x, y - 1, z, Side.SOUTH);
-        boolean connectDownEast = blockBelow == block && thin.canConnectTo(worldSource, x, y - 1, z, Side.EAST);
-        boolean connectDownWest = blockBelow == block && thin.canConnectTo(worldSource, x, y - 1, z, Side.WEST);
-
-        if (thin.shouldDrawColumn(worldSource, new TilePos(x, y, z)))
-        {
-            double sidesMinU = columnTexIndex.getIconUMin();
-            double sidesMinV = columnTexIndex.getIconVMin();
-            double sidesMaxU = columnTexIndex.getSubIconU(onePix * 2);
-            double sidesMaxV = columnTexIndex.getSubIconV(onePix * 16);
-
-            float minX = x + ((16 / 2f) - (2 / 2f)) / 16f;
-            float minY = y;
-            float minZ = z + ((16 / 2f) - (2 / 2f)) / 16f;
-            float maxX = x + ((16 / 2f) + (2 / 2f)) / 16f;
-            float maxY = y + 1.0f;
-            float maxZ = z + ((16 / 2f) + (2 / 2f)) / 16f;
+        Block<?> blockAbove = worldSource.getBlock(tilePos.up(queryPos));
+        boolean connectUpNorth = blockAbove == this.block && thin.canConnectTo(worldSource, tilePos.up(queryPos), Side.NORTH);
+        boolean connectUpSouth = blockAbove == this.block && thin.canConnectTo(worldSource, tilePos.up(queryPos), Side.SOUTH);
+        boolean connectUpEast = blockAbove == this.block && thin.canConnectTo(worldSource, tilePos.up(queryPos), Side.EAST);
+        boolean connectUpWest = blockAbove == this.block && thin.canConnectTo(worldSource, tilePos.up(queryPos), Side.WEST);
+
+        Block<?> blockBelow = worldSource.getBlock(tilePos.down(queryPos));
+        boolean connectDownNorth = blockBelow == this.block && thin.canConnectTo(worldSource, tilePos.down(queryPos), Side.NORTH);
+        boolean connectDownSouth = blockBelow == this.block && thin.canConnectTo(worldSource, tilePos.down(queryPos), Side.SOUTH);
+        boolean connectDownEast = blockBelow == this.block && thin.canConnectTo(worldSource, tilePos.down(queryPos), Side.EAST);
+        boolean connectDownWest = blockBelow == this.block && thin.canConnectTo(worldSource, tilePos.down(queryPos), Side.WEST);
+
+        if (thin.shouldDrawColumn(worldSource, tilePos)) {
+            double sidesMinU = this.columnTexIndex.getIconUMin();
+            double sidesMinV = this.columnTexIndex.getIconVMin();
+            double sidesMaxU = this.columnTexIndex.getSubIconU(onePix * 2);
+            double sidesMaxV = this.columnTexIndex.getSubIconV(onePix * 16);
+
+            float minX = tilePos.x() + ((16 / 2f) - (2 / 2f)) / 16f;
+            float minY = tilePos.y();
+            float minZ = tilePos.z() + ((16 / 2f) - (2 / 2f)) / 16f;
+            float maxX = tilePos.x() + ((16 / 2f) + (2 / 2f)) / 16f;
+            float maxY = tilePos.y() + 1.0f;
+            float maxZ = tilePos.z() + ((16 / 2f) + (2 / 2f)) / 16f;
 
             // Render sides
             t.setColorOpaque_F(cNorthSouth * brightness, cNorthSouth * brightness, cNorthSouth * brightness);
@@ -141,10 +143,10 @@ public class BlockModelFenceThin<T extends BlockLogicFenceThin> extends BlockMod
             t.addVertexWithUV(minX, maxY, maxZ, sidesMaxU, sidesMinV);
             t.addVertexWithUV(minX, maxY, minZ, sidesMinU, sidesMinV);
 
-            double topBottomMinU = columnTexIndex.getIconUMin();
-            double topBottomMinV = columnTexIndex.getIconVMin();
-            double topBottomMaxU = columnTexIndex.getSubIconU(onePix * 2);
-            double topBottomMaxV = columnTexIndex.getSubIconV(onePix * 2);
+            double topBottomMinU = this.columnTexIndex.getIconUMin();
+            double topBottomMinV = this.columnTexIndex.getIconVMin();
+            double topBottomMaxU = this.columnTexIndex.getSubIconU(onePix * 2);
+            double topBottomMaxV = this.columnTexIndex.getSubIconV(onePix * 2);
 
             // Render top
             t.setColorOpaque_F(cTop * brightness, cTop * brightness, cTop * brightness);
@@ -161,41 +163,35 @@ public class BlockModelFenceThin<T extends BlockLogicFenceThin> extends BlockMod
             t.addVertexWithUV(minX, minY, maxZ, topBottomMinU, topBottomMaxV);
         }
 
-        if (connectNorth)
-        {
+        if (connectNorth) {
             double sidesMinU;
             double sidesMinV;
             double sidesMaxU;
             double sidesMaxV;
 
-            if (bottomTexIndex != null && !connectDownNorth)
-            {
+            if (this.bottomTexIndex != null && !connectDownNorth) {
                 sidesMinU = fenceBottommostMinU;
                 sidesMinV = fenceBottommostMinV;
                 sidesMaxV = fenceBottommostMaxV;
                 sidesMaxU = fenceBottommostTex.getSubIconU(onePix * 8);
-            }
-            else if (topTexIndex != null && !connectUpNorth)
-            {
+            } else if (this.topTexIndex != null && !connectUpNorth) {
                 sidesMinU = fenceTopmostMinU;
                 sidesMinV = fenceTopmostMinV;
                 sidesMaxV = fenceTopmostMaxV;
                 sidesMaxU = fenceTopmostTex.getSubIconU(onePix * 8);
-            }
-            else
-            {
+            } else {
                 sidesMinU = fenceNormalMinU;
                 sidesMinV = fenceNormalMinV;
                 sidesMaxV = fenceNormalMaxV;
-                sidesMaxU = texIndex.getSubIconU(onePix * 8);
+                sidesMaxU = this.texIndex.getSubIconU(onePix * 8);
             }
 
-            float minX = x + (8f / 16f);
-            float minY = y;
-            float minZ = z;
-            float maxX = x + (8f / 16f);
-            float maxY = y + 1.0f;
-            float maxZ = z + (8f / 16f);
+            float minX = tilePos.x() + (8f / 16f);
+            float minY = tilePos.y();
+            float minZ = tilePos.z();
+            float maxX = tilePos.x() + (8f / 16f);
+            float maxY = tilePos.y() + 1.0f;
+            float maxZ = tilePos.z() + (8f / 16f);
 
             t.setColorOpaque_F(cEastWest * brightness, cEastWest * brightness, cEastWest * brightness);
             t.addVertexWithUV(maxX, minY, maxZ, sidesMinU, sidesMaxV);
@@ -209,41 +205,35 @@ public class BlockModelFenceThin<T extends BlockLogicFenceThin> extends BlockMod
             t.addVertexWithUV(minX, maxY, minZ, sidesMaxU, sidesMinV);
         }
 
-        if (connectSouth)
-        {
+        if (connectSouth) {
             double sidesMinU;
             double sidesMinV;
             double sidesMaxU;
             double sidesMaxV;
 
-            if (bottomTexIndex != null && !connectDownSouth)
-            {
+            if (this.bottomTexIndex != null && !connectDownSouth) {
                 sidesMinU = fenceBottommostTex.getSubIconU(onePix * 8);
                 sidesMaxU = fenceBottommostTex.getIconUMax();
                 sidesMinV = fenceBottommostMinV;
                 sidesMaxV = fenceBottommostMaxV;
-            }
-            else if (topTexIndex != null && !connectUpSouth)
-            {
+            } else if (this.topTexIndex != null && !connectUpSouth) {
                 sidesMinU = fenceTopmostTex.getSubIconU(onePix * 8);
                 sidesMaxU = fenceTopmostTex.getIconUMax();
                 sidesMinV = fenceTopmostMinV;
                 sidesMaxV = fenceTopmostMaxV;
-            }
-            else
-            {
-                sidesMinU = texIndex.getSubIconU(onePix * 8);
-                sidesMaxU = texIndex.getIconUMax();
+            } else {
+                sidesMinU = this.texIndex.getSubIconU(onePix * 8);
+                sidesMaxU = this.texIndex.getIconUMax();
                 sidesMinV = fenceNormalMinV;
                 sidesMaxV = fenceNormalMaxV;
             }
 
-            float minX = x + (8f / 16f);
-            float minY = y;
-            float minZ = z + (8f / 16f);
-            float maxX = x + (8f / 16f);
-            float maxY = y + 1.0f;
-            float maxZ = z + 1.0f;
+            float minX = tilePos.x() + (8f / 16f);
+            float minY = tilePos.y();
+            float minZ = tilePos.z() + (8f / 16f);
+            float maxX = tilePos.x() + (8f / 16f);
+            float maxY = tilePos.y() + 1.0f;
+            float maxZ = tilePos.z() + 1.0f;
 
             t.setColorOpaque_F(cEastWest * brightness, cEastWest * brightness, cEastWest * brightness);
             t.addVertexWithUV(maxX, minY, maxZ, sidesMinU, sidesMaxV);
@@ -257,41 +247,35 @@ public class BlockModelFenceThin<T extends BlockLogicFenceThin> extends BlockMod
             t.addVertexWithUV(minX, maxY, minZ, sidesMaxU, sidesMinV);
         }
 
-        if (connectWest)
-        {
+        if (connectWest) {
             double sidesMinU;
             double sidesMinV;
             double sidesMaxU;
             double sidesMaxV;
 
-            if (bottomTexIndex != null && !connectDownWest)
-            {
+            if (this.bottomTexIndex != null && !connectDownWest) {
                 sidesMinU = fenceBottommostMinU;
                 sidesMinV = fenceBottommostMinV;
                 sidesMaxV = fenceBottommostMaxV;
                 sidesMaxU = fenceBottommostTex.getSubIconU(onePix * 8);
-            }
-            else if (topTexIndex != null && !connectUpWest)
-            {
+            } else if (this.topTexIndex != null && !connectUpWest) {
                 sidesMinU = fenceTopmostMinU;
                 sidesMinV = fenceTopmostMinV;
                 sidesMaxV = fenceTopmostMaxV;
                 sidesMaxU = fenceTopmostTex.getSubIconU(onePix * 8);
-            }
-            else
-            {
+            } else {
                 sidesMinU = fenceNormalMinU;
                 sidesMinV = fenceNormalMinV;
                 sidesMaxV = fenceNormalMaxV;
-                sidesMaxU = texIndex.getSubIconU(onePix * 8);
+                sidesMaxU = this.texIndex.getSubIconU(onePix * 8);
             }
 
-            float minX = x;
-            float minY = y;
-            float minZ = z + (8f / 16f);
-            float maxX = x + (8f / 16f);
-            float maxY = y + 1.0f;
-            float maxZ = z + (8f / 16f);
+            float minX = tilePos.x();
+            float minY = tilePos.y();
+            float minZ = tilePos.z() + (8f / 16f);
+            float maxX = tilePos.x() + (8f / 16f);
+            float maxY = tilePos.y() + 1.0f;
+            float maxZ = tilePos.z() + (8f / 16f);
 
             t.setColorOpaque_F(cNorthSouth * brightness, cNorthSouth * brightness, cNorthSouth * brightness);
             t.addVertexWithUV(maxX, minY, minZ, sidesMinU, sidesMaxV);
@@ -305,41 +289,35 @@ public class BlockModelFenceThin<T extends BlockLogicFenceThin> extends BlockMod
             t.addVertexWithUV(minX, maxY, maxZ, sidesMaxU, sidesMinV);
         }
 
-        if (connectEast)
-        {
+        if (connectEast) {
             double sidesMinU;
             double sidesMinV;
             double sidesMaxU;
             double sidesMaxV;
 
-            if (bottomTexIndex != null && !connectDownEast)
-            {
+            if (this.bottomTexIndex != null && !connectDownEast) {
                 sidesMinU = fenceBottommostTex.getSubIconU(onePix * 8);
                 sidesMaxU = fenceBottommostTex.getIconUMax();
                 sidesMinV = fenceBottommostMinV;
                 sidesMaxV = fenceBottommostMaxV;
-            }
-            else if (topTexIndex != null && !connectUpEast)
-            {
+            } else if (this.topTexIndex != null && !connectUpEast) {
                 sidesMinU = fenceTopmostTex.getSubIconU(onePix * 8);
                 sidesMaxU = fenceTopmostTex.getIconUMax();
                 sidesMinV = fenceTopmostMinV;
                 sidesMaxV = fenceTopmostMaxV;
-            }
-            else
-            {
-                sidesMinU = texIndex.getSubIconU(onePix * 8);
-                sidesMaxU = texIndex.getIconUMax();
+            } else {
+                sidesMinU = this.texIndex.getSubIconU(onePix * 8);
+                sidesMaxU = this.texIndex.getIconUMax();
                 sidesMinV = fenceNormalMinV;
                 sidesMaxV = fenceNormalMaxV;
             }
 
-            float minX = x + (8f / 16f);
-            float minY = y;
-            float minZ = z + (8f / 16f);
-            float maxX = x + 1.0f;
-            float maxY = y + 1.0f;
-            float maxZ = z + (8f / 16f);
+            float minX = tilePos.x() + (8f / 16f);
+            float minY = tilePos.y();
+            float minZ = tilePos.z() + (8f / 16f);
+            float maxX = tilePos.x() + 1.0f;
+            float maxY = tilePos.y() + 1.0f;
+            float maxZ = tilePos.z() + (8f / 16f);
 
             t.setColorOpaque_F(cNorthSouth * brightness, cNorthSouth * brightness, cNorthSouth * brightness);
             t.addVertexWithUV(maxX, minY, minZ, sidesMinU, sidesMaxV);
@@ -358,65 +336,62 @@ public class BlockModelFenceThin<T extends BlockLogicFenceThin> extends BlockMod
 
     @Override
     public void renderStandalone(@NotNull Tessellator tessellator, int metadata, float brightness, float alpha, @Nullable Integer lightmapCoordinate) {
-        if(renderBlocks.useInventoryTint)
-        {
-            int j = BlockColorDispatcher.getInstance().getDispatch(block).getFallbackColor(metadata, 0);
-            float f1 = (float)(j >> 16 & 0xff) / 255F;
-            float f3 = (float)(j >> 8 & 0xff) / 255F;
-            float f5 = (float)(j & 0xff) / 255F;
-            GL11.glColor4f(f1 * brightness, f3 * brightness, f5 * brightness, alpha);
+        if (renderBlocks.useInventoryTint) {
+            int color = BlockColorDispatcher.getInstance().getDispatch(this.block).getFallbackColor(metadata, 0);
+            float r = (float) (color >> 16 & 0xff) / 255F;
+            float g = (float) (color >> 8 & 0xff) / 255F;
+            float b = (float) (color & 0xff) / 255F;
+            GL11.glColor4f(r * brightness, g * brightness, b * brightness, alpha);
         }
         GL11.glRotatef(90, 0, 1, 0);
-        AABB bounds = AABB.fromPool(0, 0, 0, 1, 1, 1);
-        for(int i1 = 0; i1 < 2; i1++)
-        {
+        AABBd bounds = new AABBd(0, 0, 0, 1, 1, 1);
+        for (int i1 = 0; i1 < 2; i1++) {
             GL11.glPushMatrix();
             float f4 = 0.125F / 2;
-            bounds.set(0, 0.0F, 0.0F, 2 * f4, 1.0F, f4 * 2.0F);
+            bounds.setMin(0, 0.0F, 0.0F).setMax(2 * f4, 1.0F, f4 * 2.0F);
             GL11.glTranslatef(0.5f - f4, 0, 0);
-            if(i1 == 1)
-            {
+            if (i1 == 1) {
                 GL11.glTranslatef(0, 0, 1f - (f4 * 2));
             }
             GL11.glTranslatef(-0.5F, -0.5F, -0.5F);
             tessellator.startDrawingQuads();
             tessellator.setNormal(0.0F, -1F, 0.0F);
-            renderBlocks.renderBottomFace(tessellator, bounds, 0.0D, 0.0D, 0.0D, columnTexIndex);
+            renderBlocks.renderBottomFace(tessellator, bounds, 0.0D, 0.0D, 0.0D, this.columnTexIndex);
             tessellator.draw();
 
             tessellator.startDrawingQuads();
             tessellator.setNormal(0.0F, 1.0F, 0.0F);
-            renderBlocks.renderTopFace(tessellator, bounds, 0.0D, 0.0D, 0.0D, columnTexIndex);
+            renderBlocks.renderTopFace(tessellator, bounds, 0.0D, 0.0D, 0.0D, this.columnTexIndex);
             tessellator.draw();
 
             tessellator.startDrawingQuads();
             tessellator.setNormal(0.0F, 0.0F, -1F);
-            renderBlocks.renderNorthFace(tessellator, bounds, 0.0D, 0.0D, 0.0D, columnTexIndex);
+            renderBlocks.renderNorthFace(tessellator, bounds, 0.0D, 0.0D, 0.0D, this.columnTexIndex);
             tessellator.draw();
 
             tessellator.startDrawingQuads();
             tessellator.setNormal(0.0F, 0.0F, 1.0F);
-            renderBlocks.renderSouthFace(tessellator, bounds, 0.0D, 0.0D, 0.0D, columnTexIndex);
+            renderBlocks.renderSouthFace(tessellator, bounds, 0.0D, 0.0D, 0.0D, this.columnTexIndex);
             tessellator.draw();
 
             tessellator.startDrawingQuads();
             tessellator.setNormal(-1F, 0.0F, 0.0F);
-            renderBlocks.renderWestFace(tessellator, bounds, 0.0D, 0.0D, 0.0D, columnTexIndex);
+            renderBlocks.renderWestFace(tessellator, bounds, 0.0D, 0.0D, 0.0D, this.columnTexIndex);
             tessellator.draw();
 
             tessellator.startDrawingQuads();
             tessellator.setNormal(1.0F, 0.0F, 0.0F);
-            renderBlocks.renderEastFace(tessellator, bounds, 0.0D, 0.0D, 0.0D, columnTexIndex);
+            renderBlocks.renderEastFace(tessellator, bounds, 0.0D, 0.0D, 0.0D, this.columnTexIndex);
             tessellator.draw();
             GL11.glPopMatrix();
         }
 
         GL11.glTranslatef(-0.5F, -0.5F, -0.5F);
         GL11.glDisable(GL11.GL_CULL_FACE);
-        bounds.set(0, 0, 0, 0.5f, 1, 1);
+        bounds.setMin(0, 0, 0).setMax(0.5f, 1, 1);
         tessellator.startDrawingQuads();
         tessellator.setNormal(1.0F, 0.0F, 0.0F);
-        renderBlocks.renderEastFace(tessellator, bounds, 0, 0, 0, texIndex);
+        renderBlocks.renderEastFace(tessellator, bounds, 0, 0, 0, this.texIndex);
         tessellator.draw();
         GL11.glTranslatef(0.5F, 0.5F, 0.5F);
     }
